      SUBROUTINE WAWRIT (ASCREC,ASCLEN)
      IMPLICIT NONE
      CHARACTER*(*) ASCREC
      INTEGER ASCLEN
*
* WAWRIT - Write Ascii record to the output file
*
* Passed Variables...
*    ASCREC - String containing ascii record to be written out
*    ASCLEN - Length (in bytes) of ascii record to be written out
*
* Local Variables...
*    IOS    - Input/Ouput status value, in case of error
*
      INCLUDE 'misc.inc'
      INTEGER IOS

      WRITE (UNIT=ASCLUN,FMT='(A)',ERR=900,IOSTAT=IOS) ASCREC(:ASCLEN)

      RETURN
*
* Errors...
*
  900 CONTINUE
      PRINT *,'* WAWRIT: Error writing output ascii file!'
      PRINT *,'          IOSTAT = ',IOS
      STOP

      END
